# -*- encoding: utf-8 -*-

lib = File.expand_path('../lib', __FILE__)
$LOAD_PATH.unshift(lib) unless $LOAD_PATH.include?(lib)
require 'books/version'

Gem::Specification.new do |gem|
  gem.name          = "books-ruby"
  gem.version       = Books::VERSION
  gem.summary       = "Books Ruby SDK"
  gem.description   = "Interact with Books in Ruby"
  gem.license       = "MIT"
  gem.authors       = ["abishopric"]
  gem.email         = "abishopric@squareup.com"
  gem.homepage      = "https://stash.corp.squareup.com/projects/SQ/repos/books-ruby/browse"

  gem.files         = `git ls-files`.split($/)

  `git submodule --quiet foreach --recursive pwd`.split($/).each do |submodule|
    submodule.sub!("#{Dir.pwd}/",'')

    Dir.chdir(submodule) do
      `git ls-files`.split($/).map do |subpath|
        gem.files << File.join(submodule,subpath)
      end
    end
  end
  gem.executables   = gem.files.grep(%r{^bin/}).map{ |f| File.basename(f) }
  gem.test_files    = gem.files.grep(%r{^(test|spec|features)/})
  gem.require_paths = ['lib']

  gem.required_ruby_version = '>= 2.4.4'

  gem.add_dependency 'sq-common'
  gem.add_dependency 'sq-protos'
  gem.add_dependency 'sq-p2'
  gem.add_dependency 'square_connector'
  gem.add_dependency 'ed25519'

  gem.add_development_dependency 'bundler', '~> 1.10'
  gem.add_development_dependency 'pry'
  gem.add_development_dependency 'rake', '~> 10.0'
  gem.add_development_dependency 'rdoc', '~> 4.0'
  gem.add_development_dependency 'rspec', '~> 3.0'
  gem.add_development_dependency 'rubygems-tasks', '~> 0.2'
  gem.add_development_dependency 'rubocop'
end
